Bug 90156 - 2.4.20-8smp OOPS in proc_delete_inode
2.4.20-8smp OOPS in proc_delete_inode
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-03 15:31 EDT by Zoran Dzelajlija
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
almost exact same oops. (2.03 KB, text/plain)
2004-03-14 12:01 EST, Zoran Dzelajlija
no flags Details

  None (edit)
Description Zoran Dzelajlija 2003-05-03 15:31:54 EDT
From Bugzilla Helper:
User-Agent: Opera/6.12 (Linux 2.4.20 i686; U)  [en]

Description of problem:
On a dual P3/866 server running a custom java chat server, with two ext3
partitions, I got this oops:

Unable to handle kernel NULL pointer dereference at virtual address 00000083 printing eip:
c0179a89
*pde = 00000000
Oops: 0002
mousedev input ipt_REJECT ipt_state ip_conntrack iptable_filter ip_tables e100 loop lvm-mod ext3 jbd aic7xxx sd_mod scsi_mod  
CPU:    0
EIP:    0060:[<c0179a89>]    Not tainted
EFLAGS: 00010202

EIP is at proc_delete_inode [kernel] 0x29 (2.4.20-8smp)
eax: 00000073   ebx: f1bfec80   ecx: 00000020   edx: c30ae000
esi: c0179a60   edi: c46c3800   ebp: bffff2f8   esp: c304fefc
ds: 0068   es: 0068   ss: 0068
Process ps (pid: 65614, stackpage=c304f000)
Stack: c016c620 f1bfec80 c0342ab8 00000009 d1f02380 f1bfec80 40031740 c016996a 
       f1bfec80 c03cfc00 c304ff48 c304ff48 c015ef95 d1f02380 00000000 c015b179 
       c304ff48 d1f02380 c304ff7c d1f02380 c4770f40 f6b09500 d1f02380 c46c0200 
Call Trace:   [<c016c620>] iput [kernel] 0x150 (0xc304fefc))
[<c016996a>] dput [kernel] 0xca (0xc304ff18))
[<c015ef95>] path_release [kernel] 0x15 (0xc304ff2c))
[<c015b179>] vfs_stat [kernel] 0x59 (0xc304ff38))
[<c01698d0>] dput [kernel] 0x30 (0xc304ff64))
[<c015b7bb>] sys_stat64 [kernel] 0x1b (0xc304ff70))
[<c0151966>] sys_close [kernel] 0x66 (0xc304ffb0))
[<c01098cf>] system_call [kernel] 0x33 (0xc304ffc0))


Code: f0 ff 48 10 8b 42 24 83 48 14 08 89 54 24 04 e9 f3 fe ff ff 

The server was recently upgraded from Phoebe to release 9.


Version-Release number of selected component (if applicable):
kernel-smp-2.4.20-8

How reproducible:
Didn't try

Steps to Reproduce:

   

Additional info:
Comment 3 Arjan van de Ven 2003-05-22 05:32:59 EDT
please check the erratum kernel; at least something that could cause this is
fixed there.
Comment 4 Zoran Dzelajlija 2003-05-22 06:23:54 EDT
Sorry, I'm not familiar with RedHat; where can I find the changelog for the
updates version?
Comment 5 Zoran Dzelajlija 2003-08-21 17:06:45 EDT
I've been running the newer kernel package for over a month and it seems
the problem is gone.
Comment 6 Zoran Dzelajlija 2004-03-14 12:01:45 EST
Created attachment 98527 [details]
almost exact same oops.
Comment 7 Zoran Dzelajlija 2004-03-14 12:11:21 EST
This last oops is from 2.4.20-30.9smp, same shrike installation but moved to a
P4/2.8GHz machine, HyperThreading turned off.

Regards,
Zoran
Comment 8 Bugzilla owner 2004-09-30 11:40:52 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.